Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Kirim masukan
Men-deploy dan membatalkan deployment aplikasi
Tetap teratur dengan koleksi
Simpan dan kategorikan konten berdasarkan preferensi Anda.
Setelah Anda membuat aplikasi , Anda harus men-deploy aplikasi agar dapat
melakukan streaming dan menganalisis data.
Men-deploy aplikasi
Setelah membuat aplikasi end-to-end dengan semua komponen yang diperlukan, Anda harus men-deploy aplikasi untuk mulai menggunakannya.
Konsol
Buka tab Applications di dasbor Gemini Enterprise Agent Platform Vision.
Buka tab Applications
Pilih View app di samping nama aplikasi Anda dari daftar.
Dari halaman pembuat grafik aplikasi, klik tombol Deploy .
Di menu Deploy application yang terbuka, pilih opsi apa pun, lalu klik Deploy .
Setelah deployment selesai, akan ada tanda centang hijau di samping node.
REST &CMD LINE Untuk men-deploy aplikasi agar dapat digunakan, kirim permintaan POST menggunakan metode
projects.locations.applications.deploy .
Sebelum menggunakan salah satu data permintaan,
lakukan penggantian berikut:
PROJECT : ID project atau nomor project Anda Google Cloud
.
LOCATION_ID : Region tempat Anda menggunakan
Agent Platform Vision. Contoh: us-central1, europe-west4. Lihat region yang tersedia .
APPLICATION_ID : ID aplikasi target Anda.
Metode HTTP dan URL:
POST https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /applications/APPLICATION_ID :deploy
Untuk mengirim permintaan Anda, pilih salah satu opsi berikut:
curl
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login ,
atau dengan menggunakan Cloud Shell ,
yang secara otomatis membuat Anda login ke gcloud CLI.
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
curl -X POST \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json; charset=utf-8" \ -d "" \ "https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /applications/APPLICATION_ID :deploy"
PowerShell
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login .
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
$cred = gcloud auth print-access-token $headers = @{ "Authorization" = "Bearer $cred" } Invoke-WebRequest ` -Method POST ` -Headers $headers ` -Uri "https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /applications/APPLICATION_ID :deploy" | Select-Object -Expand Content
Jika berhasil, permintaan akan memulai operasi yang berjalan lama dan menampilkan objek JSON dengan ID operasi.
{
"name": "projects/PROJECT_ID /locations/LOCATION_ID /operations/OPERATION_ID ",
"metadata": {
"@type": "type.googleapis.com/google.cloud.visionai.v1.OperationMetadata",
"createTime": "YYYY-MM-DDTHH:MM:SS.454506987Z ",
"target": "projects/PROJECT_ID /locations/LOCATION_ID /applications/APPLICATION_ID ",
"verb": "update",
"requestedCancellation": false,
"apiVersion": "v1"
},
"done": false
}
Mendapatkan status operasi
Gunakan ID operasi dalam respons untuk mendapatkan status permintaan deployment.
Sebelum menggunakan salah satu data permintaan,
lakukan penggantian berikut:
REGIONALIZED_ENDPOINT : Endpoint mungkin menyertakan awalan yang cocok dengan LOCATION_ID, seperti
europe-west4-. Lihat lebih lanjut tentang
endpoint regional .
PROJECT_NUMBER : Nomor Google Cloud
project Anda .
LOCATION_ID : Region tempat Anda menggunakan
Agent Platform Vision. Contoh: us-central1, europe-west4. Lihat region yang tersedia .
OPERATION_ID : ID operasi yang ditampilkan saat Anda memulai operasi yang berjalan lama. Contoh:
projects/123456/locations/us-central1/[...] /operations/OPERATION_ID
Metode HTTP dan URL:
GET https://visionai.googleapis.com /v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /operations/OPERATION_ID
Untuk mengirim permintaan Anda, pilih salah satu opsi berikut:
curl
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login ,
atau dengan menggunakan Cloud Shell ,
yang secara otomatis membuat Anda login ke gcloud CLI.
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ "https://visionai.googleapis.com /v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /operations/OPERATION_ID "
PowerShell
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login .
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
$cred = gcloud auth print-access-token $headers = @{ "Authorization" = "Bearer $cred" } Invoke-WebRequest ` -Method GET ` -Headers $headers ` -Uri "https://visionai.googleapis.com /v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /operations/OPERATION_ID " | Select-Object -Expand Content
Anda akan menerima respons JSON yang mirip dengan yang berikut ini:
Respons
{
"name": "projects/PROJECT_ID /locations/LOCATION_ID /operations/OPERATION_ID ",
"metadata": {
"@type": "type.googleapis.com/google.cloud.visionai.v1.OperationMetadata",
"createTime": "2023-01-12T17:53:14.454506987Z ",
"endTime": "2023-01-12T17:53:22.979720545Z ",
"target": "projects/PROJECT_ID /locations/LOCATION_ID /applications/APPLICATION_NAME ",
"verb": "update",
"statusMessage": "Instance Deployment Pending....",
"requestedCancellation": false,
"apiVersion": "v1"
},
"done": true,
"response": {
"@type": "type.googleapis.com/google.cloud.visionai.v1.Application",
"name": "projects/PROJECT_ID /locations/LOCATION_ID /applications/APPLICATION_NAME ",
"createTime": "2023-01-06T21:16:26.465867295Z ",
"updateTime": "2023-01-12T17:53:14.458441937Z ",
"displayName": "APPLICATION_NAME ",
"applicationConfigs": {
"nodes": [
{
"name": "builtin-input-stream",
"displayName": "Streams",
"nodeConfig": {
"videoStreamInputConfig": {}
},
"processor": "builtin:stream-input",
"outputAllOutputChannelsToStream": false
},
{
"name": "builtin-general-object-detector",
"displayName": "Object detector",
"nodeConfig": {
"generalObjectDetectionConfig": {}
},
"processor": "builtin:general-object-detector",
"parents": [
{
"parentNode": "builtin-input-stream"
}
],
"outputAllOutputChannelsToStream": false
},
{
"name": "builtin-media-warehouse",
"displayName": "Vision AI Warehouse",
"nodeConfig": {
"mediaWarehouseConfig": {
"corpus": "projects/PROJECT_ID /locations/LOCATION_ID /corpora/CORPUS_ID "
}
},
"processor": "builtin:media-warehouse",
"parents": [
{
"parentNode": "builtin-input-stream"
},
{
"parentNode": "builtin-general-object-detector"
}
],
"outputAllOutputChannelsToStream": false
}
]
},
"runtimeInfo": {
"deployTime": "2023-01-12T17:53:22.887918Z ",
"globalOutputResources": [
{
"outputResource": "projects/PROJECT_ID /locations/LOCATION_ID /corpora/CORPUS_ID /dataSchemas/stream-resource-name",
"key": "stream-resource-name"
},
{
"outputResource": "projects/PROJECT_ID /locations/LOCATION_ID /corpora/CORPUS_ID /dataSchemas/stream-display-name",
"key": "stream-display-name"
},
{
"outputResource": "projects/PROJECT_ID /locations/LOCATION_ID /corpora/CORPUS_ID /dataSchemas/stream-resource-id",
"key": "stream-resource-id"
},
{
"outputResource": "projects/PROJECT_ID /locations/LOCATION_ID /corpora/CORPUS_ID /dataSchemas/general-object-detection",
"producerNode": "builtin-general-object-detector",
"key": "general_object_detection_data_schema_id"
}
]
},
"state": "DEPLOYED",
"deploymentEnvironment": "DEPLOYMENT_ENVIRONMENT_CLOUD"
}
}
Membatalkan deployment aplikasi
Untuk berhenti menggunakan aplikasi, Anda harus membatalkan deployment aplikasi.
Konsol
Buka tab Applications di dasbor Gemini Enterprise Agent Platform Vision.
Buka tab Applications
Pilih View app di samping nama aplikasi Anda dari daftar.
Dari halaman pembuat grafik aplikasi, klik tombol Deactivate .
REST &CMD LINE Untuk membatalkan deployment aplikasi, kirim permintaan POST menggunakan metode
projects.locations.applications.undeploy .
Sebelum menggunakan salah satu data permintaan,
lakukan penggantian berikut:
PROJECT : ID project atau nomor project Anda Google Cloud
.
LOCATION_ID : Region tempat Anda menggunakan
Agent Platform Vision. Contoh: us-central1, europe-west4. Lihat region yang tersedia .
APPLICATION_ID : ID aplikasi target Anda.
Metode HTTP dan URL:
POST https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /applications/APPLICATION_ID :undeploy
Untuk mengirim permintaan Anda, pilih salah satu opsi berikut:
curl
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login ,
atau dengan menggunakan Cloud Shell ,
yang secara otomatis membuat Anda login ke gcloud CLI.
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
curl -X POST \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json; charset=utf-8" \ -d "" \ "https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /applications/APPLICATION_ID :undeploy"
PowerShell
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login .
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
$cred = gcloud auth print-access-token $headers = @{ "Authorization" = "Bearer $cred" } Invoke-WebRequest ` -Method POST ` -Headers $headers ` -Uri "https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /applications/APPLICATION_ID :undeploy" | Select-Object -Expand Content
Jika berhasil, permintaan akan memulai operasi yang berjalan lama dan menampilkan objek JSON dengan ID operasi.
{
"name": "projects/PROJECT_NUMBER /locations/LOCATION_ID /operations/OPERATION_ID ",
"metadata": {
"@type": "type.googleapis.com/google.cloud.visionai.v1.OperationMetadata",
"createTime": "2023-01-12T18:14:48.260296926Z",
"target": "projects/PROJECT_NUMBER /locations/LOCATION_ID /applications/APPLICATION_NAME ",
"verb": "update",
"requestedCancellation": false,
"apiVersion": "v1"
},
"done": false
}
Mendapatkan status operasi
Gunakan ID operasi dalam respons untuk mendapatkan status permintaan pembatalan deployment.
Sebelum menggunakan salah satu data permintaan,
lakukan penggantian berikut:
REGIONALIZED_ENDPOINT : Endpoint mungkin menyertakan awalan yang cocok dengan LOCATION_ID, seperti
europe-west4-. Lihat lebih lanjut tentang
endpoint regional .
PROJECT_NUMBER : Nomor Google Cloud
project Anda .
LOCATION_ID : Region tempat Anda menggunakan
Agent Platform Vision. Contoh: us-central1, europe-west4. Lihat region yang tersedia .
OPERATION_ID : ID operasi yang ditampilkan saat Anda memulai operasi yang berjalan lama. Contoh:
projects/123456/locations/us-central1/[...] /operations/OPERATION_ID
Metode HTTP dan URL:
GET https://visionai.googleapis.com /v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /operations/OPERATION_ID
Untuk mengirim permintaan Anda, pilih salah satu opsi berikut:
curl
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login ,
atau dengan menggunakan Cloud Shell ,
yang secara otomatis membuat Anda login ke gcloud CLI.
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ "https://visionai.googleapis.com /v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /operations/OPERATION_ID "
PowerShell
Catatan:
Perintah berikut mengasumsikan bahwa Anda telah login ke
gcloud CLI menggunakan akun pengguna Anda dengan menjalankan
gcloud init
atau
gcloud auth login .
Anda dapat memeriksa akun yang saat ini aktif dengan menjalankan gcloud auth list .
Jalankan perintah berikut:
$cred = gcloud auth print-access-token $headers = @{ "Authorization" = "Bearer $cred" } Invoke-WebRequest ` -Method GET ` -Headers $headers ` -Uri "https://visionai.googleapis.com /v1/projects/PROJECT_NUMBER /locations/LOCATION_ID /operations/OPERATION_ID " | Select-Object -Expand Content
Anda akan menerima respons JSON yang mirip dengan yang berikut ini:
Tanggapan
{
"name": "projects/PROJECT_ID /locations/LOCATION_ID /operations/OPERATION_ID ",
"metadata": {
"@type": "type.googleapis.com/google.cloud.visionai.v1.OperationMetadata",
"createTime": "2023-01-12T18:14:48.260296926Z ",
"endTime": "2023-01-12T18:14:58.059563424Z ",
"target": "projects/PROJECT_ID /locations/LOCATION_ID /applications/APPLICATION_NAME ",
"verb": "update",
"statusMessage": "Instance Undeployment Pending....",
"requestedCancellation": false,
"apiVersion": "v1"
},
"done": true,
"response": {
"@type": "type.googleapis.com/google.cloud.visionai.v1.Application",
"name": "projects/PROJECT_ID /locations/LOCATION_ID /applications/APPLICATION_NAME ",
"createTime": "2023-01-06T21:16:26.465867295Z ",
"updateTime": "2023-01-12T18:14:48.264089325Z ",
"displayName": "APPLICATION_NAME ",
"applicationConfigs": {
"nodes": [
{
"name": "builtin-input-stream",
"displayName": "Streams",
"nodeConfig": {
"videoStreamInputConfig": {}
},
"processor": "builtin:stream-input",
"outputAllOutputChannelsToStream": false
},
{
"name": "builtin-general-object-detector",
"displayName": "Object detector",
"nodeConfig": {
"generalObjectDetectionConfig": {}
},
"processor": "builtin:general-object-detector",
"parents": [
{
"parentNode": "builtin-input-stream"
}
],
"outputAllOutputChannelsToStream": false
},
{
"name": "builtin-media-warehouse",
"displayName": "Vision AI Warehouse",
"nodeConfig": {
"mediaWarehouseConfig": {
"corpus": "projects/PROJECT_ID /locations/LOCATION_ID /corpora/CORPUS_ID "
}
},
"processor": "builtin:media-warehouse",
"parents": [
{
"parentNode": "builtin-input-stream"
},
{
"parentNode": "builtin-general-object-detector"
}
],
"outputAllOutputChannelsToStream": false
}
]
},
"state": "CREATED",
"deploymentEnvironment": "DEPLOYMENT_ENVIRONMENT_CLOUD"
}
}
Langkah berikutnya
Baca petunjuk tentang cara memulai penyerapan data dari aliran input aplikasi
di Membuat dan mengelola aliran .
Pelajari cara mencantumkan aplikasi dan melihat instance aplikasi yang di-deploy di
Mengelola aplikasi .
Pelajari cara membaca data input aplikasi dari aliran penyerapan atau model yang dianalisis
data output di Membaca data aliran .
Kirim masukan
Kecuali dinyatakan lain, konten di halaman ini dilisensikan berdasarkan Lisensi Creative Commons Attribution 4.0 , sedangkan contoh kode dilisensikan berdasarkan Lisensi Apache 2.0 . Untuk mengetahui informasi selengkapnya, lihat Kebijakan Situs Google Developers . Java adalah merek dagang terdaftar dari Oracle dan/atau afiliasinya.
Terakhir diperbarui pada 2026-05-17 UTC.
Ada masukan untuk kami?
[[["Mudah dipahami","easyToUnderstand","thumb-up"],["Memecahkan masalah saya","solvedMyProblem","thumb-up"],["Lainnya","otherUp","thumb-up"]],[["Sulit dipahami","hardToUnderstand","thumb-down"],["Informasi atau kode contoh salah","incorrectInformationOrSampleCode","thumb-down"],["Informasi/contoh yang saya butuhkan tidak ada","missingTheInformationSamplesINeed","thumb-down"],["Masalah terjemahan","translationIssue","thumb-down"],["Lainnya","otherDown","thumb-down"]],["Terakhir diperbarui pada 2026-05-17 UTC."],[],[]]